@charset "utf-8";

/* お問合わせ一覧 */
.fixed_btn {
  position: fixed;
  color: #ffffff;
  background: #7D001A;
  bottom: 5vh;
  right: 5vw;
  padding: 16px 60px;
  border-radius: 5px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  z-index: 1;
  font-size: 16px;
  font-weight: bold;
}
.fixed_btn:hover {
  box-shadow: 1px 1px 4px #c0c0c2;
  cursor: pointer;
}
.content-textarea-box1 {
  display: grid;
  grid-column: 1 / 3;
  grid-row: 1;
}
.content-textarea-box2 {
  display: grid;
  grid-column: 1;
  grid-row: unset;
}
.content-textarea-box3 {
  grid-column: 2;
  grid-row: unset;
  text-align: right;
  margin-right: 5px;
  margin-bottom: 5px;
}
/* お問い合わせ登録・詳細共通 */
/* 下線ありのヘッダー */
.inquiry-underline-header {
  text-decoration: underline;
  font-size: 1.2rem;
  text-align: left;
  margin-bottom: 20px;
}

/* common.cssのinputのwidth制限解除 */
input.inquiry-text-width {
  max-width: 100%;
}


/* お問合わせ登録 宛先選択、お問合わせ一覧 ステータス選択 */
.inq-radio-radius {
  border-radius: 5px !important;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
}
.select-btn {
  /* display: inline-block; */
  width: 100%;
  text-decoration: none;
  color: #ffffff;
  background: #506499;
  text-align: center;
  vertical-align: middle;
  font-size: 15px;
  padding: 10px;
}
.none-btn {
  /* display: inline-block; */
  width: 100%;
  text-decoration: none;
  color: #506499;
  background: #ffffff;
  text-align: center;
  vertical-align: middle;
  font-size: 15px;
  padding: 10px;
}
.none-btn:hover {
  color: #ffffff;
  background: #506499;
  margin: 0px;
  box-shadow: none;
}
.inq-radio-container {
  display: flex;
  justify-content: center;
  width: 100%;
  margin-bottom: 10px;
  outline: 1px solid #506499;
  outline-offset: -1px;
}
/* お問合わせ 確認ダイアログ */
.outside-confirm,
.outside-complete {
  height: 100%;
  padding: 30px 30px 20px 30px;
  position: relative;
  overflow: auto;
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.inquiryRegItemGroup {
  padding: 40px 0;
  border-top: 1px solid #E5E5E5
}

/* お問合わせ詳細 */
.inquiry-contents-border {
  border-bottom: 1px solid;
}
.inquiry-content-label {
  background-color: #f0f8ff;
}
.inquiry-contents-bottom {
  border-radius: 0 0 5px 5px;
}
.inquiry-cnt-non-border {
  border-radius: 10px;
  border: none;
  resize: none;
  max-width: 100%;
  height: 300px;
}
.inquiry-cnt-non-border:focus {
  border: none;
  outline: none;
}
.inquiry-cnt-textarea-wrapper {
  display: grid;
  grid-template-columns: 1fr 100px;
  justify-content: center;
  gap: 5px 5px;
  border-radius: 10px;
  border: 1px solid #aaa;
  background-color: #fff;
}
.inquiry-cnt-textarea-wrapper:focus-within {
  border: 1px solid #2a7de1;
}
.inquiry-cnt-textarea-box1 {
  grid-column: 1 / 3;
  grid-row: 1;
}
.inquiry-cnt-textarea-box2 {
  display: grid;
  grid-column-start: 1;
  grid-column-end: 1;
  grid-row-start: 2;
  grid-row-end: 2;
  height: 45px;
}
.inquiry-cnt-textarea-box3 {
  grid-column-start: 2;
  grid-column-end: 2;
  grid-row-start: 2;
  grid-row-end: 2;
  text-align: right;
  margin-right: 5px;
  margin-bottom: 5px;
}
/* お問合わせ詳細 */
.inquiry-label {
  width: 100%;
  /* height: 100px; */
  display: block;
  width: 100%;
  height: 100%;
  text-decoration: none;
  text-align: left;
  color: #000000;
  font-size: 16px;
  /*border-radius: 10px;*/
  padding-bottom: 5px;
  margin: 0 0 12px 0;
}
.inquiry-reference-contents-wrapper:not(.inquiry-contents-top){
  /* top以外は上部の枠線削除 */
  border-top: none;
  background-color: #f0f8ff;
}

.inquiry-reference-main-info {
  text-align: center;
  border: 2px solid #506499;
  padding: 10px;
  border-radius: 5px;
  margin-top: 60px;
}
.inquiry-reference-main-info .inquiry-seq-no-label,
.inquiry-reference-main-info .inquiry-seq-no-value {
  color: #506499;
}

.inquiry-ext-label:hover,
.inquiry-new-label:hover {
  box-shadow: 0px 0px 10px 0px #c0c0c2;
}

.inquiry-ext-label,
.inquiry-ext-label-no-hover {
  background-color: #f5f5f5;
  border-radius: 5px;
}
.inquiry-new-label,
.inquiry-new-label-no-hover {
  background-color: #F4F4F4;
  border-radius: 5px;
}

.inquiry-reference-contents-wrapper {
  padding: 30px 10px 10px 5px;
  border: 1px solid #E5E5E5;
  border-radius: 5px;
}

/* 件名 */
.contents-label-box1 {
  grid-column: 1;
  grid-row: 1;
  text-align: center;
  vertical-align: middle;
}

.contents-label-item {
  padding-bottom: 10px;
  margin: 0 20px 10px 20px;
}

/* メッセージ内容 */
.inquiry-content-message {
  white-space: pre-wrap;
}

.inquiry-cnt-tag-icon {
  width: auto;
  text-decoration: none;
  color: #0099ff;
  background: #ffffff;
  text-align: center;
  vertical-align: middle;
  border: solid 1px;
  border-radius: 5px;
  padding: 0px 10px;
  white-space: nowrap;
}

.inquiry-cnt-download-button {
  text-align: center;
}

.inquiry-cnt-label-download-file-area {
  grid-column: 1/5;
  padding: 10px 10px 20px 10px;
  border: 1px solid #E5E5E5;
}

.inquiry-cnt-label-download-file-row {
  display: flex;
  margin-top: 10px;
}

a.inquiry-cnt-label-download-file-name {
  color: #1a73e8;
  cursor: pointer;
}

a.inquiry-cnt-label-download-file-name:hover {
  color: #014d80;
}

.inquiry-contents-sender-info-grid {
  display: grid;
  grid-template-columns: auto 1fr;
  gap: 10px 5px;
}

.inquiry-contents-sender-info-grid .inquiry-sender-icon>img {
  height: 90px;
}
.inquiry-contents-sender-info-grid .inquiry-sender-icon {
  grid-row: 1/3;
}
.inquiry-contents-sender-info-grid .inquiry-sender-name {
  white-space: nowrap;
  margin-top: auto;
  font-weight: bold;
}
.inquiry-contents-sender-info-grid .inquiry-send-date {
  grid-row: 2/3;
  grid-column: 2/3;
  display: flex;
  gap: 5px;
}

.balloonoya {
  position: relative; /* 指定した分だけ相対的に移動 */
}
.balloonoya:hover .balloon,
.balloonoya:hover .list-balloon {
  display: inline; /* インライン要素として表示 */
}
.balloon {
  position: absolute; /* 親要素を基準 */
  display: none; /* 要素を非表示 */
  padding: 2px; /* テキストの前後の余白 */
  background-color: #0099ff; /* 背景色（透明度） */
  width: 190px; /* 吹き出し全体の幅 */
  left: 0%; /* 表示位置 */
  bottom: 100%; /* 表示位置 */
  margin-bottom: 12px; /* 表示位置 */
  font-size: 80%; /* 文字サイズ */
  color: #f0f8ff;
}
.balloon:after,
.list-balloon:after {
  border-top: 12px solid #0099ff; /* 吹き出し口の高さ・色 */
  border-left: 10px solid transparent; /* 吹き出し口の幅１／２ */
  border-right: 10px solid transparent; /* 吹き出し口の幅１／２ */
  bottom: -12px; /* 吹き出し口の位置調整 */
  left: 60%; /* 吹き出し口の横位置 */
  content: ''; /* コンテンツの挿入 */
  position: absolute; /* 親要素を基準 */
}

.list-balloon {
  position: absolute; /* 親要素を基準 */
  display: none; /* 要素を非表示 */
  padding: 2px; /* テキストの前後の余白 */
  background-color: #0099ff; /* 背景色（透明度） */
  width: 180px; /* 吹き出し全体の幅 */
  left: 0%; /* 表示位置 */
  bottom: 100%; /* 表示位置 */
  margin-bottom: 2px; /* 表示位置 */
  font-size: 80%; /* 文字サイズ */
  color: #f0f8ff;
  text-align: center;
}
.inquiry-reply-area {
  font-size: 16px;
  border: 1px solid #E5E5E5;
  border-radius: 5px;
  padding: 20px;
}

.inquiry-file-upload-area {
  border: 1px solid #E5E5E5;
  border-radius: 5px;
  padding: 20px;
}

/* 一覧表示 兼 詳細タイトル */
.wrapper {
  display: grid;
  grid-template-columns: 1fr 1fr auto;
  /* grid-template-columns: 1fr 3fr 1fr; */
  grid-template-rows: 1fr 1fr 1fr;
  gap: 10px 0px;
}
.inquiry-list-box1 {
  grid-column: 1;
  grid-row: 1;
  padding: 10px 0 0 10px;
  font-size:90%;
}

.inquiry-list-box2 {
  grid-column: 2;
  grid-row: 1;
  padding: 10px 0 0 10px;
  font-size:90%;
}

.inquiry-list-box3 {
  grid-column: 3;
  grid-row: 1;
  text-align: right;
  padding: 10px 10px 0 10px;
  font-size:90%;
}
.inquiry-list-box4 {
  grid-column: 1 / 4;
  grid-row: 2;
  padding: 10px 10px 0 10px;
  font-size:90%;
}
.inquiry-list-box5 {
  grid-column: 1 / 4;
  grid-row: 3;
  color: #B22222;
  text-align: right;
  font-size:90%;
}
.inquiry-attachment {
  grid-row: unset;
}

.inquiry-regist-button-area {
  margin-top: 40px;
}

.inquiry-regist-button-area input {
  width: 200px;
  color: white;
  border: none;
  background-color: #1e90ff;
  font-size: 18px;
}

.inquiry-regist-button-area .send-button {
  background-color: #7D001A;
  height: 60px;
  font-weight: bold;
}

.inquiry-regist-button-area .return-button {
  margin-top: 35px;
  background-color: #F2F4F5;
  height: 40px;
  color: #111;
}

.inquiry-modal {
  overflow: auto;
}
.inquiry-attachment .material-icons {
  font-size:40px;
}
.inquiry-headline01 h2 { display: inline-block; text-align: center; font-size: 30px; line-height: 1.2; font-weight: 400; padding: 0 0 20px; }
.inquiry-textarea {
  overflow: auto;
  max-width: 100%;
  height: 150px;
}

/*エラー*/
.inquiry-errorwrap { margin: 0 auto 30px; }
.inquiry-errorwrap ul { border: 1px solid #f00; background: #FFCECE; padding: 10px; }
.inquiry-errorwrap ul li { font-size: 16px; line-height: 1.75; color: #f00; padding: 5px; }

#InquiryConfirmModal,
#InquiryCompleteModal {
  width: 90vw;
  max-width: 360px;
  height: 220px;
  z-index: 8888;
  border-radius: 5px;
  font-size: 18px;
  /** 要素に直接指定されるため、importantで上書き */
  top: 45% !important;
}

input[type="button"].inquiryConfirmModalButton,
input[type="button"].inquiryCompleteModalButton {
  display: block;
  min-width: 120px;
  margin: 0 auto 10px;
  transition: all 0.3s;
  border: none;
  line-height: 30px;
  text-align:  center;
  text-decoration: none;
  box-sizing: border-box;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  max-width: 100%;
  border-radius: 5px;
}

#inquiryModal {
  height: 100%;
}

.inquiry-confirm-btn-area {
  display: flex;
  justify-content: space-between;
}

.inquiry-complete-btn-area {
  display: flex;
  justify-content: center;
}


#InquiryConfirmModal .inquiry-confirm-message-area,
#InquiryCompleteModal .inquiry-complete-message-area {
  text-align: center;
}

.inquiry-message {
  margin: 10px 10px 20px 15px;
}

.inquiry-message-no-data{
  margin: 20px 10px 50px 15px;
  text-align: center;
}

.inquiry-mainContent {
  width: 880px;
  margin: 0 auto;
  padding: 60px 0 50px;
}

.inquiry-mainInrCont {
  width: 100%;
  margin: 0 auto;
}

.inquiry-step-button {
  padding: 30px 0;
}

.inquiry-new-icon {
  color: #B22222
}

.inquiry-label-setting {
  margin-bottom: 5px;
  padding: 10px;
}

.inquiry-modal-inner {
  height: 100%;
  overflow: auto;
  -webkit-overflow-scrolling: touch;
  position: relative;
  padding: 60px;
}


/** ファイルアップロード部分 */
.inquiry-file {
  display: none;
}
.fileLabel {
  padding: 10px 40px;
  color: #ffffff;
  background-color: #384878;
  cursor: pointer;
}
.fileText {
  margin: 10px 0 0 0;
}
.clip-download-button {
  text-decoration: none;
  background: #ffffff;
  color: #000000;
  font-size: 30px;
  transition: all 0.1s ease-out;
  cursor: pointer;
}
.clip-download-button :hover {
  background: #ffffff;
  color: #000000;
  margin-left: 3px;
  margin-top: 3px;
  box-shadow: none;
}
.inquiry-upload-list-contents {
  display: flex;
}

.inquiry-upload-list-contents .selectBox {
  margin: 0;
}

.inquiry-upload-list-contents .document-clsf-ddl {
  width: 200px;
}

.inquiry-upload-list-contents .document-clsf-ddl select {
  width: 100%;
}

.upload-file-name {
  width: calc(100% - 415px);
  margin: 7px 10px 0 10px;
}

.upload-file-buttons {
  width: 290px;
  display: flex;
  justify-content: flex-start;
  gap: 5px;
}

.inquiry-upload-list-contents .fileup-btn { 
  display: inline-block;
  width: 100%;
  height: 45px;
  position: relative;
  font-size: 16px;
  line-height: 25px;
  padding: 10px 15px;
  text-align: center;
  background: #FFF;
  color: #506499;
  border: 1px solid #B4B8BC;
  font-weight: bold;
  transition: all 0.15s;
  box-shadow: 1px 2px 4px #C0C0C2;
}

.inquiry-upload-list-contents .fileup-btn {
	cursor: pointer;
	box-shadow: 1px 2px 4px #C0C0C2;
}

.document-upload-row {
  padding: 10px 0;
}

.document-upload-row:not(.document-upload-row:nth-child(2)) {
  /* １行目のファイルアップロードエリア以外は上部に線を入れる */
  border-top: 1px solid #E5E5E5;
}

@media screen and (max-width: 880px) {
	.inquiry-mainContent { width: 100%; padding: 60px 10px 50px; }
}

@media screen and (max-width: 568px) {
  .inquiry-headline01 { margin: 10px auto 20px; }
  .inquiry-headline01 h2 { font-size: 20px; padding: 0 0 10px; }
  /*エラー*/
  .inquiry-errorwrap { margin: 0 auto 20px; }
  .inquiry-errorwrap ul { padding: 5px; }
  .inquiry-errorwrap ul li { font-size: 14px; line-height: 1.5; padding: 5px; }

	/*枠*/
	.inquiry-mainContent { padding: 30px 10px 40px; }

  .inquiry-modal-inner { padding: 30px 10px; }

  .inquiry-upload-list-contents {
    display: block;
  }

  .upload-file-name {
    width: 100%;
    margin: 10px 0;
  }

  .inquiry-upload-list-contents .fileup-btn { 
    display: block;
    width: 100%;
    margin-top: 10px;
  }

  .upload-file-buttons {
    width: 100%;
    display: block;
  }

  .send-button {
    height: 50px;
  }
}